/*   This file is part of Xsltop.
*
*    Xsltop is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation.
*
*    Xsltop is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY.  See the
*    GNU General Public License for more details.
*
*    See <http://www.gnu.org/licenses/>.
*/
package xsltop.xml;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;

/**
 * The Class XsltopFinder.
 */
class XsltopFinder implements EntityResolver {
	
	/**
	 * Instantiates a new xsltop finder.
	 */
	public XsltopFinder() {
	}
	
	/* (non-Javadoc)
	 * @see org.xml.sax.EntityResolver#resolveEntity(java.lang.String, java.lang.String)
	 */
	public InputSource resolveEntity(final String pPublicId, 
			final String pSystemId) throws IOException {
		InputStream vFlux = null;
		if (pSystemId.endsWith("xsltop.dtd")) {
			vFlux = getClass().getResourceAsStream(
					"/xsltop.dtd"
			);
		}
		if (null == vFlux) {
			vFlux = new ByteArrayInputStream(
				    		"<?xml version='1.0' encoding='UTF-8'?>".getBytes()
				    	);				      
		}
	    return new InputSource(vFlux);
	}
}
